# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Generate pretty HTML from Perl code in a Dancer2 app",
  "AUTHOR" => "Nick Tonkin <tonkin\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Dancer2-Plugin-SyntaxHighlight-Perl",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Dancer2::Plugin::SyntaxHighlight::Perl",
  "PREREQ_PM" => {
    "Dancer2" => "0.157",
    "PPI::HTML" => "1.236"
  },
  "TEST_REQUIRES" => {
    "HTTP::Request::Common" => 0,
    "Log::Any::Test" => 0,
    "Path::Tiny" => 0,
    "Plack::Test" => 0,
    "Test::More" => 0,
    "Test::Pod::Coverage" => 0
  },
  "VERSION" => "0.0004",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Dancer2" => "0.157",
  "HTTP::Request::Common" => 0,
  "Log::Any::Test" => 0,
  "PPI::HTML" => "1.236",
  "Path::Tiny" => 0,
  "Plack::Test" => 0,
  "Test::More" => 0,
  "Test::Pod::Coverage" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
